Search found 1025 matches

by basicchip
Tue Nov 06, 2012 6:13 pm
Forum: Software issues
Topic: RasberryPi and ARM
Replies: 0
Views: 3416

RasberryPi and ARM

>from the helpline >How might I use this with a Raspberry Pi? I'm still waiting for a RasberryPi, so I can't give you any actual experience. You should be able to use the Pi for what it's good at, networking, file service, video generation ... Use the ARM for what it's good at, yes while the ARM is ...
by basicchip
Sun Nov 04, 2012 5:49 pm
Forum: Software issues
Topic: BASIC compiler update
Replies: 5
Views: 9006

BASIC compiler update

Version 8.16c of the compiler is attached here Per user request, the ADDRESSOF operator accepts CONST arrays. In order to support that, CONST arrays now allow multiple lines so const multi = {0,&H11,&H22,&H33 ,&H44,&H55,&H66, &H77,&H88,&H99 } if *(addressof multi +(9<<2)) = multi(9) then print OKmsg...
by basicchip
Fri Oct 26, 2012 4:46 pm
Forum: Projects
Topic: DHT11 Humidity & Temperature Sensor
Replies: 9
Views: 16127

Re: DHT11 Humidity & Temperature Sensor

Yes there is a bug with I/O(3). A "feature" of recursive decent compilers is that you have to check for illegal code which in this case with the new compound operators not enough checks were added. That has been fixed and will get into the next release.
by basicchip
Thu Oct 25, 2012 4:12 pm
Forum: Projects
Topic: DHT11 Humidity & Temperature Sensor
Replies: 9
Views: 16127

Re: DHT11 Humidity & Temperature Sensor

I'll have to look into why I/O(0)=1 was not flagged as an error in the compiler.

Does the DHT11 conform to the Dallas one-wire protocol? If it does, try the one wire library ONEWIRE.bas
by basicchip
Wed Oct 24, 2012 10:29 pm
Forum: Software issues
Topic: Firmware update -- count exceeded
Replies: 0
Views: 4432

Firmware update -- count exceeded

The firmware update is metered through the internet. When the allowed number of updates is exceeded, you will get a "Download count exceeded, contact techsupport@coridium.us" But there are certain firewalls that can block the update program, and in that case you will get this error when updates are ...